Subject: re string class and gdb
From: [email-masked] (Derek Tyler)

20 Oct 1998 09:34:07 -0700
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "GNU Mailing list" <[email-masked]>

Thanks.  So am I right now ? It works and gdb prints the values.

#include <string>
   using namespace std;

   int main()
           
   {
      string s ;
      s = "Hello";
      string t = " world";
      string v = s + t;
      cout << v << endl;
   				breakpoint
      return 0;
   }

----------
> From: Mumit Khan <[email-masked]>
> To: [email-masked]
> Cc: GNU Mailing list <[email-masked]>
> Subject: Re: String class and gdb 
> Date: 19 October 1998 04:45
> 
> "Derek Tyler" <[email-masked]> writes:
> > I've just started trying to use the
> > String class. The following code works
> > OK, but when I put a breakpoint as
> > shown, and try to examine variables
> > with
> > gdb, I get 
> > 
> > (gdb) p s
> > $1 = <incomplete type> 
> >     
> 
> That's because libg++ was stripped of all symbols. You simply can't
"look"
> into String implementation any more. Sorry.
> 
> I do suggest that you dump String and use the standard "string" from now
> on. String is part of deprecated libg++, which you should avoid at all
> costs in new code.
> 
> Regards,
> Mumit
> 

D Tyler

[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".